# studio::ValueBaseLink Class Reference

`#include <valuelink.h>`

List of all members.

## Public Member Functions

virtual synfig::ValueNode::LooseHandle | get_link_vfunc (int i) const
virtual int | link_count () const
virtual synfig::String | link_local_name (int i) const
virtual synfig::String | link_name (int i) const
| ValueBaseLink ()
virtual | ~ValueBaseLink ()
virtual int | get_link_index_from_name (const synfig::String &name) const
virtual void | add (synfig::ValueNode::Handle v)
virtual void | remove (synfig::ValueNode::Handle v)

## Protected Member Functions

virtual bool | set_link_vfunc (int, synfig::ValueNode::Handle)
virtual LinkableValueNode * | create_new () const
list_type::const_iterator | findlink (synfig::ValueNode::Handle x) const
list_type::iterator | findlink (synfig::ValueNode::Handle x)

## Constructor & Destructor Documentation

ValueBaseLink::ValueBaseLink | ( |  | ) |

ValueBaseLink::~ValueBaseLink | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool studio::ValueBaseLink::set_link_vfunc | ( | int | ,
|  | synfig::ValueNode::Handle |  |
| ) |  |  | `[inline, protected, virtual]`

virtual LinkableValueNode* studio::ValueBaseLink::create_new | ( |  | ) | const`[inline, protected, virtual]`

ValueBaseLink::list_type::const_iterator ValueBaseLink::findlink | ( | synfig::ValueNode::Handle | x | ) | const`[protected]`

Referenced by add(), and remove().

ValueBaseLink::list_type::iterator ValueBaseLink::findlink | ( | synfig::ValueNode::Handle | x | ) | `[protected]`

ValueNode::LooseHandle ValueBaseLink::get_link_vfunc | ( | int | i | ) | const`[virtual]`

int ValueBaseLink::link_count | ( |  | ) | const`[virtual]`

String ValueBaseLink::link_local_name | ( | int | i | ) | const`[virtual]`

String ValueBaseLink::link_name | ( | int | i | ) | const`[virtual]`

int ValueBaseLink::get_link_index_from_name | ( | const synfig::String & | name | ) | const`[virtual]`

void ValueBaseLink::add | ( | synfig::ValueNode::Handle | v | ) | `[virtual]`

References findlink().

void ValueBaseLink::remove | ( | synfig::ValueNode::Handle | v | ) | `[virtual]`

References findlink().

The documentation for this class was generated from the following files:

- valuelink.h
- valuelink.cpp